ATI CARD SUPPORT?

Old threads created long before the LMDE forum restructuring

ATI CARD SUPPORT?

Postby specmod0 on Mon Nov 15, 2010 10:40 pm

Are ati cards fully supported? 3D? I noticted they was releasing some kind of docs a while back? I thinking about dumping my NVIDIA card becouse i can't get the driver installed.
specmod0
Level 3
Level 3
 
Posts: 144
Joined: Sun Sep 19, 2010 1:48 pm

Linux Mint is funded by ads and donations.
 

Re: ATI CARD SUPPORT?

Postby kbkatz1 on Mon Nov 15, 2010 11:14 pm

I have been running a ATI AGP Video card and had no problems with it under LM9 Gnome and KDE. Since I switched to LMDE, Compiz isn't really working, not sure if it is an ATI problem or Compiz. I guess I'll find out once LMDE Stable is finally released.
LMDE
LM12 "Lisa"
ClearOS Server
User avatar
kbkatz1
Level 3
Level 3
 
Posts: 130
Joined: Tue Jun 15, 2010 4:28 pm
Location: U.S.A

Re: ATI CARD SUPPORT?

Postby red123 on Mon Nov 15, 2010 11:14 pm

This tells you all you need to know about installing the proprietary drivers for ATI card
http://wiki.debian.org/ATIProprietary
red123
Level 2
Level 2
 
Posts: 65
Joined: Mon Sep 27, 2010 1:46 am

Re: ATI CARD SUPPORT?

Postby blowtorch on Tue Nov 16, 2010 12:05 am

kbkatz1 wrote:I have been running a ATI AGP Video card and had no problems with it under LM9 Gnome and KDE. Since I switched to LMDE, Compiz isn't really working, not sure if it is an ATI problem or Compiz. I guess I'll find out once LMDE Stable is finally released.


youve got a compiz problem ... compiz is running fine here and i have an ati card 2600 mobility with fglrx drivers running it
User avatar
blowtorch
Level 3
Level 3
 
Posts: 101
Joined: Sun Sep 05, 2010 10:03 pm

Re: ATI CARD SUPPORT?

Postby kbkatz1 on Tue Nov 16, 2010 3:07 pm

kbkatz1 wrote:
I have been running a ATI AGP Video card and had no problems with it under LM9 Gnome and KDE. Since I switched to LMDE, Compiz isn't really working, not sure if it is an ATI problem or Compiz. I guess I'll find out once LMDE Stable is finally released.


youve got a compiz problem ... compiz is running fine here and i have an ati card 2600 mobility with fglrx drivers running it


I have a ATI Radeon 9700, do I have to install fglrx drivers manually? How do I "fix" my Compiz problem?
LMDE
LM12 "Lisa"
ClearOS Server
User avatar
kbkatz1
Level 3
Level 3
 
Posts: 130
Joined: Tue Jun 15, 2010 4:28 pm
Location: U.S.A

Re: ATI CARD SUPPORT?

Postby Ali on Wed Nov 17, 2010 5:35 pm

I'm on a Mobility 5870 and used the 10.9 Catalyst drivers from AMD's site. It was a basic GUI installer and it went through fine. I've probably should've made a package out of it though, as that might've been safer. Something I'll take note of once the next (hopefully 64 bit) version of LMDE is out.
Ali
Level 1
Level 1
 
Posts: 1
Joined: Wed Nov 17, 2010 5:31 pm

Re: ATI CARD SUPPORT?

Postby blowtorch on Thu Nov 18, 2010 10:32 pm

kbkatz1 wrote:I have a ATI Radeon 9700, do I have to install fglrx drivers manually? How do I "fix" my Compiz problem?


see this post for the easiest way to install fglrx drivers ... and they update when new versions come out
viewtopic.php?f=141&t=54885#p314294

as far as compiz goes how do you start it?
Code: Select all
compiz--replace
will start compiz ... you can add a start up application entry using that command also so compiz starts at login

let us know if that helps
User avatar
blowtorch
Level 3
Level 3
 
Posts: 101
Joined: Sun Sep 05, 2010 10:03 pm

Re: ATI CARD SUPPORT?

Postby kbkatz1 on Fri Nov 19, 2010 7:06 pm

blowtorch,
following
see this post for the easiest way to install fglrx drivers ... and they update when new versions come out
viewtopic.php?f=141&t=54885#p314294
got me this: "No Supported Adapters Detected"

and "compiz --replace" resulted in this:
Code: Select all
ken@Dell-Dimension ~ $ compiz --replace
Xlib:  extension "GLX" missing on display ":0.0".
compiz (core) - Fatal: Root visual is not a GL visual
compiz (core) - Error: Failed to manage screen: 0
compiz (core) - Fatal: No manageable screens found on display :0.0

Launching fallback window manager
/usr/share/themes/Mint-X-Metal/gtk-2.0/gtkrc:106: error: unexpected identifier `separatorstyle', expected character `}'



Any suggestions?
LMDE
LM12 "Lisa"
ClearOS Server
User avatar
kbkatz1
Level 3
Level 3
 
Posts: 130
Joined: Tue Jun 15, 2010 4:28 pm
Location: U.S.A

Re: ATI CARD SUPPORT?

Postby dfx on Sat Nov 20, 2010 12:07 pm

afaik Radeon 9700 is not supported by latest fglrx drivers. You could try using an older one or stick to the opensource driver radeon mentioned here http://wiki.debian.org/AtiHowTo
dfx
Level 1
Level 1
 
Posts: 34
Joined: Sun Nov 14, 2010 12:35 pm

Re: ATI CARD SUPPORT?

Postby kbkatz1 on Sun Nov 21, 2010 12:29 am

I feel I should apologize to Specmod, I feel I have taken over his thread.
LMDE
LM12 "Lisa"
ClearOS Server
User avatar
kbkatz1
Level 3
Level 3
 
Posts: 130
Joined: Tue Jun 15, 2010 4:28 pm
Location: U.S.A

Re: ATI CARD SUPPORT?

Postby kbkatz1 on Sun Nov 21, 2010 12:34 am

Compiz still not working with ATI Radeon 9700 :x
LMDE
LM12 "Lisa"
ClearOS Server
User avatar
kbkatz1
Level 3
Level 3
 
Posts: 130
Joined: Tue Jun 15, 2010 4:28 pm
Location: U.S.A

Linux Mint is funded by ads and donations.
 

Return to Archive

Who is online

Users browsing this forum: No registered users and 1 guest